Bug 218723 - Oops in inet6_addr_del
Oops in inet6_addr_del
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-12-06 19:12 EST by Matthew Booth
Modified: 2008-02-07 23:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:27:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2006-12-06 19:12:35 EST
Description of problem:
I have been trying to get the dibbler DHCPv6 server/client working on my
network. I get the following oops immediately every 
time I quit the dibbler dhcpv6 client:

Dec  5 22:03:17 mbooth kernel: BUG: unable to handle kernel NULL pointer
dereference at virtual address 00000003
Dec  5 22:03:17 mbooth kernel:  printing eip:
Dec  5 22:03:17 mbooth kernel: f8defe18
Dec  5 22:03:17 mbooth kernel: *pde = 00000000
Dec  5 22:03:17 mbooth kernel: Oops: 0000 [#1]
Dec  5 22:03:17 mbooth kernel: SMP 
Dec  5 22:03:17 mbooth kernel: last sysfs file:
/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/cmd
Dec  5 22:03:17 mbooth kernel: Modules linked in: rfcomm hidp l2cap ohci1394
ieee1394 button xt_state ip_conntrack nfnetlink 
ip6table_filter ip6_tables x_tables i915 drm arc4 ieee80211_crypt_wep autofs4
rpcsec_gss_krb5 auth_rpcgss des sunrpc ipv6 cpu
freq_ondemand dm_multipath video sbs ibm_acpi i2c_ec dock battery asus_acpi ac
parport_pc lp parport snd_hda_intel snd_hda_co
dec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq sg snd_seq_device
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd so
undcore ipw3945(U) snd_page_alloc i2c_i801 sdhci pcspkr serio_raw ieee80211
mmc_core hci_usb i2c_core ieee80211_crypt e1000 b
luetooth dm_snapshot dm_zero dm_mirror dm_mod ahci libata sd_mod scsi_mod ext3
jbd ehci_hcd ohci_hcd uhci_hcd
Dec  5 22:03:17 mbooth kernel: CPU:    0
Dec  5 22:03:17 mbooth kernel: EIP:    0060:[<f8defe18>]    Not tainted VLI
Dec  5 22:03:17 mbooth kernel: EFLAGS: 00010246   (2.6.18-1.2849.fc6 #1) 
Dec  5 22:03:17 mbooth kernel: EIP is at inet6_addr_del+0x67/0x95 [ipv6]
Dec  5 22:03:17 mbooth kernel: eax: 0000000b   ebx: 000000c0   ecx: f7fff180  
edx: 00000000
Dec  5 22:03:17 mbooth avahi-daemon[2455]: Withdrawing address record for
2001:4bd0:2057:1:ffff:7a92:9714:9b5c on eth1.
Dec  5 22:03:17 mbooth kernel: esi: ffffffff   edi: d83f1a1c   ebp: 000000c0  
esp: f50b3ca4
Dec  5 22:03:17 mbooth kernel: ds: 007b   es: 007b   ss: 0068
Dec  5 22:03:17 mbooth kernel: Process dibbler-client (pid: 28100, ti=f50b3000
task=f73809e0 task.ti=f50b3000)
Dec  5 22:03:17 mbooth kernel: Stack: 00000001 d83f1a00 f8defe46 00000028
c05c0689 00000000 00000000 00000005 
Dec  5 22:03:17 mbooth kernel:        00000044 f50b3cf8 e33bd6c0 f8e23748
e33bd6c0 d83f1a00 f50b3d10 00000040 
Dec  5 22:03:17 mbooth kernel:        c05cc961 c05c04ca c18f3c00 c18f3c84
00000040 c06a78a0 c18f3c00 00000040 
Dec  5 22:03:17 mbooth kernel: Call Trace:
Dec  5 22:03:17 mbooth kernel:  [<c05c0689>] rtnetlink_rcv_msg+0x1bf/0x1e4
Dec  5 22:03:17 mbooth kernel:  [<c05cc961>] netlink_run_queue+0x6b/0x102
Dec  5 22:03:17 mbooth kernel:  [<c05c0486>] rtnetlink_rcv+0x25/0x3d
Dec  5 22:03:17 mbooth kernel:  [<c05cce13>] netlink_data_ready+0x12/0x52
Dec  5 22:03:17 mbooth kernel:  [<c05cbe5c>] netlink_sendskb+0x1c/0x33
Dec  5 22:03:17 mbooth kernel:  [<c05ccdf5>] netlink_sendmsg+0x282/0x28e
Dec  5 22:03:17 mbooth kernel:  [<c05af6a6>] sock_sendmsg+0xd0/0xeb
Dec  5 22:03:17 mbooth kernel:  [<c05afec9>] sys_sendmsg+0x192/0x1f7
Dec  5 22:03:17 mbooth kernel:  [<c05b1427>] sys_socketcall+0x240/0x261
Dec  5 22:03:17 mbooth kernel:  [<c0404013>] syscall_call+0x7/0xb
Dec  5 22:03:17 mbooth kernel: DWARF2 unwinder stuck at syscall_call+0x7/0xb
Dec  5 22:03:17 mbooth kernel: Leftover inexact backtrace:
Dec  5 22:03:17 mbooth kernel:  =======================
Dec  5 22:03:17 mbooth kernel: Code: 04 39 47 04 75 38 8b 43 08 39 47 08 75 30
8b 43 0c 39 47 0c 75 28 f0 ff 43 24 8d 46 60 e
8 a0 46 82 c7 89 d8 e8 f9 fb ff ff 31 d2 <83> 7e 04 00 75 21 8b 06 b2 01 e8 1b
f3 ff ff 31 d2 eb 14 8b 5b 
Dec  5 22:03:17 mbooth kernel: EIP: [<f8defe18>] inet6_addr_del+0x67/0x95 [ipv6]
SS:ESP 0068:f50b3ca4

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6

How reproducible:
Always

Steps to Reproduce:
1. On a machine on the network, run 'dibbler-server run'(I'm running it on RHEL4)
2. On the client, run 'dibbler-client run'
3. Wait for the client to get an address
4. Ctrl-C the client
  
Additional info:
Everything is 32 bit. NIC in laptop is ipw3945.
Comment 1 Matthew Booth 2006-12-06 19:19:17 EST
I've uploaded the dibbler srpm I'm using to
http://people.redhat.com/mbooth/srpms/dibbler-0.5.0-2.src.rpm
Comment 2 Jon Stanley 2008-01-07 20:49:51 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-02-07 23:27:54 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.